# &kde; User's Manual

Sebastian
Sauer

    mail@dipe.org

2008-10-22
0.01.01
kross
1

# `kross`

&kde; application to run kross scripts.

## Synopsis

    kross

    --help
    Generic-options
    Qt-options
    KDE-options
    file ...

## Description

`kross` executes kross scripts written in &kde; Javascript, Python, Ruby, Java and Falcon.

## Generic Options

`--author`

  Show author information.

`--help`

  Show help about options.

`--help-all`

  Show all options.

`--help-kde`

  Show KDE specific options.

`--help-qt`

  Show Qt specific options.

`--license`

  Show license information.

`-v``--version`

  Show version information

## Application Options

`file`...

  The files with the scripts to run.

## Usage

`kross` `file` runs the script in `file` after loading the interpreter plugin for the script language (detected by filename suffix).

To interpret other languages than &kde; Javascript, kdebindings must be installed.

## See Also

kdeoptions(7), qtoptions(7), python(1), ruby(1), kjs(1), java(1), falcon(1)

Look at http://kross.dipe.org/solution.html for more information and tutorials.

## Bugs

There are probably tons of bugs. Use bugs.kde.org to report them.